import React from "react"
import PropTypes from "prop-types"

import { prettyDurationFromMinutes } from "../../utils"

export const Runtime = ({ runtime }) => {
  if (runtime === 0) { return null; }

  return (
    <span>
      <i className="fa fa-clock-o"></i>
      &nbsp;{prettyDurationFromMinutes(runtime)}
    </span>
  );
}
Runtime.propTypes = { runtime: PropTypes.number };
Runtime.defaultProps = { runtime: 0 };
